Bug 1638527 - [RFE] Two Small Usability Enhancements to the Plan Details Page
Summary: [RFE] Two Small Usability Enhancements to the Plan Details Page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: GA
: 5.10.0
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-11 19:43 UTC by vconzola
Modified: 2019-02-07 23:03 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.18
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:44 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
fixed_proof.png (87.07 KB, image/png)
2018-12-05 13:08 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-v2v issues 610 None None None 2018-10-11 19:43:32 UTC
Github ManageIQ manageiq-v2v issues 652 None None None 2018-10-11 19:49:38 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:49 UTC

Description vconzola 2018-10-11 19:43:33 UTC
Description of problem: (1) Currently, the default sort order for plan details page is by elapsed time. This causes in progress rows to start jumping around in the list as migrations finish. (2) Need to click the tooltip in order to see the detailed migration status for migrations in progress


Version-Release number of selected component (if applicable):


How reproducible: 


Steps to Reproduce:
1. Drill down to the Plan Details
2. Click tooltip for a migration in progress to see the detailed status
3. Upon migration completion order of the VMs jumps around in the listview

Actual results:


Expected results:
(1) Should be able to see detailed status returned from automate in the listview for each migration
(2) Default sort for migrations should be by VM name so that order does not jump around as migrations complete

Additional info:

Comment 2 vconzola 2018-10-11 19:48:13 UTC
(In reply to vconzola from comment #0)
> Description of problem: (1) Currently, the default sort order for plan
> details page is by elapsed time. This causes in progress rows to start
> jumping around in the list as migrations finish. (2) Need to click the
> tooltip in order to see the detailed migration status for migrations in
> progress
> 
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible: 
> 
> 
> Steps to Reproduce:
> 1. Drill down to the Plan Details
> 2. Click tooltip for a migration in progress to see the detailed status
> 3. Upon migration completion order of the VMs jumps around in the listview
> 
> Actual results:
> 
> 
> Expected results:
> (1) Should be able to see detailed status returned from automate in the
> listview for each migration
> (2) Default sort for migrations should be by VM name so that order does not
> jump around as migrations complete
> 
> Additional info: The Github issue for (2) is here: https://github.com/ManageIQ/manageiq-v2v/issues/652

Comment 3 vconzola 2018-10-11 19:51:59 UTC
These issues have already been fixed. The PRs are here:
https://github.com/ManageIQ/manageiq-v2v/pull/619
https://github.com/ManageIQ/manageiq-v2v/pull/671

Comment 5 Yadnyawalk Tale 2018-12-05 13:08:47 UTC
Created attachment 1511669 [details]
fixed_proof.png

I can able to see detailed status returned from automate in the listview for each migration. Also default sort for migrations is by VM name.

Verified on - 5.10.0.26.20181127164839_ee46c90

Comment 6 errata-xmlrpc 2019-02-07 23:03:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.